%global __os_install_post %(echo '%{__os_install_post}' | sed -e 's!/usr/lib[^[:space:]]*/brp-python-bytecompile[[:space:]].*$!!g')
Buildroot: %{_builddir}/%{name}-root
Name: unicore-uvos-server
Version: 1.6.0
Release: 0.sl5
Summary: UNICORE VO server
License: BSD
Distribution: RedHat
Group: System Environment/Daemons
URL: http://uvos.chemomentum.org
Requires: java-1.6.0-openjdk findutils bash
BuildArch: noarch
Packager: Piotr Piernik <unicore-support@lists.sourceforge.net> 
BuildRequires: subversion  
BuildRequires: maven  
BuildRequires: java-1.6.0-openjdk-devel 
Source0 : unicore-uvos-server-1.6.0-0.src.tar.gz

%description
The fundamental UVOS features are:
-storing identities of grid users and other
 identifiable components (for example servers),
-organising identities in hierarchical groups,
-assigning arbitrary attributes to users in various ways,
-supporting registrations requests (also called as 'VO applications'),
- supporting authentication of web-browser based 
grid clients (from version 1.2).
UVOS exposes all those features as a remotely accessible operations 
(through a web services mechanism) with authorisation and 
authentication of access.

%changelog
* Sat Jul 18 2011 Krzysztof Benedyczak:
- Fixed rpm permissions.

* Wed Feb 10 2011 Piotr Piernik <piernik at mat.umk.pl>:
- Initial rpm package .
%prep 
%setup -q -c . 
%build
%install 
rm -rf $RPM_BUILD_ROOT 
mkdir -p $RPM_BUILD_ROOT 
 
mvn -q package -Ppackman -Dmaven.test.skip -Dmaven.repo.local=`pwd`/maven-repo -Dpackage.version=1.6.0 -Dpackage.release=0 -Ddistribution=RedHat -Dpackage.config.dir=src/main/package -Dpackage.type=prep.src.rpm -DindexJars -B; 
cp -r target/RedHat/RPMS/builddir/* $RPM_BUILD_ROOT 
%clean 
rm -rf $RPM_BUILD_ROOT




%files


#
# Config files
#
%attr(750, unicore, unicore) %dir "/etc/unicore/uvos-server"
%attr(640, unicore, unicore) %config(noreplace) "/etc/unicore/uvos-server/uvosServer.conf"
%attr(640, unicore, unicore) %config(noreplace) "/etc/unicore/uvos-server/*.properties"

%attr(750, unicore, unicore) %dir "/etc/unicore/uvos-server/db"
%attr(640, unicore, unicore) %config(noreplace) "/etc/unicore/uvos-server/db/*.sql"
%attr(640, unicore, unicore) %config(noreplace) "/etc/unicore/uvos-server/db/mapconfig.xml"
%attr(640, unicore, unicore) %config(noreplace) "/etc/unicore/uvos-server/db/README"
%attr(750, unicore, unicore) %dir "/etc/unicore/uvos-server/db/maps"
%attr(640, unicore, unicore) %config(noreplace) "/etc/unicore/uvos-server/db/maps/*.xml"
%attr(750, unicore, unicore) %dir "/etc/unicore/uvos-server/db/dbUpdate"
%attr(640, unicore, unicore) %config(noreplace) "/etc/unicore/uvos-server/db/dbUpdate/update.properties"
%attr(750, unicore, unicore) %dir "/etc/unicore/uvos-server/db/dbUpdate/from-1.0-to-1.1"
%attr(640, unicore, unicore) %config(noreplace) "/etc/unicore/uvos-server/db/dbUpdate/from-1.0-to-1.1/*"
%attr(750, unicore, unicore) %dir "/etc/unicore/uvos-server/db/dbUpdate/from-1.1-to-1.2"
%attr(640, unicore, unicore) %config(noreplace) "/etc/unicore/uvos-server/db/dbUpdate/from-1.1-to-1.2/*"

%attr(750, unicore, unicore) %dir "/etc/unicore/uvos-server/certs"
%attr(750, unicore, unicore) %dir "/etc/unicore/uvos-server/attributeTypes"
%attr(640, unicore, unicore) %config(noreplace) "/etc/unicore/uvos-server/attributeTypes/*"

%attr(755, root, root) "/etc/rc.d/init.d/unicore-uvos-server"

#
#Others
#
%attr(755, root, root) %dir "/usr/share/unicore/uvos-server/script"
%attr(755, root, root) "/usr/share/unicore/uvos-server/script/*"
#%attr(755, root, root) %dir "/usr/sbin"
%attr(755, root, root) "/usr/sbin/unicore-uvos-server-*"

#
#logs
#
%dir %attr(755, unicore, unicore) "/var/run/unicore"
%attr(755, unicore, unicore) %dir  "/var/log/unicore"
%attr(755, unicore, unicore) %dir  "/var/log/unicore/uvos-server"
%attr(750, unicore, unicore) %dir  "/var/lib/unicore"
%attr(750, unicore, unicore) %dir  "/var/lib/unicore/uvos-server"
%attr(750, unicore, unicore) %dir  "/var/lib/unicore/uvos-server/webapps"
%attr(750, unicore, unicore) %dir  "/var/lib/unicore/uvos-server/data"

#
# Documentation and samples
#
%attr(755, root, root) %docdir "/usr/share/doc/unicore/uvos-server/"
%attr(644, root, root) "/usr/share/doc/unicore/uvos-server/*"

#
# jar files
#
%attr(755, root, root) %dir "/usr/share/unicore/uvos-server/lib"
%attr(644, root, root) "/usr/share/unicore/uvos-server/lib/*.jar"
#%attr(755, root, root) %dir "/usr/share/unicore/uvos-server/lib/endorsed"
#%attr(644, root, root) "/usr/share/unicore/uvos-server/lib/endorsed/*.jar"

#
#unicore-configurator
#
%dir %attr(755 root root) "/usr/share/unicore/configurator"
%dir %attr(755 root root) "/usr/share/unicore/configurator/updater.d"
%attr(644 root root) "/usr/share/unicore/configurator/updater.d/uvos_server.py"


%pre
/usr/sbin/groupadd -r unicore 2>/dev/null || :
/usr/sbin/useradd -c "UNICORE" -g unicore \
    -s /sbin/nologin -r -d /usr/share/unicore unicore 2>/dev/null || : 

%post
/sbin/chkconfig --add unicore-uvos-server

%preun
if [ "$1" = "0" ]; then
 	/etc/init.d/unicore-uvos-server stop >/dev/null 2>&1
 	/sbin/chkconfig --del unicore-uvos-server
fi





